# application-test.yml
# Mail Properties
mail:
  cc: @mail.cc@
  bcc: @mail.bcc@
  enabled: false
  devemail:
    address: gbifregistry@mailinator.com
    enabled: @mail.devemail.enabled@

message:
  enabled: false

# urlTemplate are formatted using StringFormat (idx 0 = username, 1 = code)
identity:
  surety:
    mail:
      urlTemplate:
        confirmUser: https://demo.gbif-dev.org/{0}/user/confirm?username={1}&code={2}
        resetPassword: https://demo.gbif-dev.org/{0}/user/confirm?username={1}&code={2}
        changeEmail: https://demo.gbif-dev.org/{0}/user/change-email?username={1}&code={2}&email={3}

application:
  key: gbif.app.it
  secret: a

# GRSCICOLL
grscicoll:
  portal:
    url: https://www.gbif-dev.org/grscicoll/
  registryPortal:
    url: https://registry.gbif-dev.org/
  mail:
    enabled: false

derivedDataset:
  text: Derived dataset GBIF.org ({0}) Filtered export of GBIF occurrence data https://doi.org/{1}
  cronPattern: 0 0 0 * * *
  url: https://www.gbif-dev.org/derivedDataset/{0}

# JWT
jwt:
  signingKey: 03bee45dc7ecfb7f3bdd1f7171add974947f264c11bd0c37cfdeb0d6da3fd5c6
  expiryTimeInMs: 1800000
  issuer: GBIF-REGISTRY

# Pipelines properties
pipelines:
  envPrefix: test
  esHost: https://test.com
  doAllThreads: 1

organization:
  surety:
    mail:
      helpdesk: @mail.helpdesk@
      urlTemplate:
        organization: https://www.demo.gbif-dev.org/publisher/{0}
        confirmOrganization: https://demo.gbif-dev.org/organization/confirm?key={0}&code={1}

# Elasticsearch

elasticsearch:
  registry:
    enabled: false
    hosts: none
    alias: dataset
    index: dataset
    connectionTimeOut: 0
    socketTimeOut: 0
    connectionRequestTimeOut: 0
    maxRetryTimeOut: 0
  occurrence:
    enabled: false
    hosts:
    index:
    connectionTimeOut:
    socketTimeOut:
    connectionRequestTimeOut:
    maxRetryTimeOut:

directory:
  app:
    key: @directory.app.key@
    secret: @directory.app.secret@
  ws:
    url: @directory.ws.url@

api:
  root:
    url: http://api.gbif-dev.org/v1/
  cache:
    purge:
      url: http://api.gbif-dev.org/v1
      threads: 1
portal:
  url: https://www.gbif-dev.org/

occurrence:
  ws:
    url: http://api.gbif-dev.org/v1/occurrence/

# file with all application keys & secrets
appkeys:
  file: @appkeys.testfile@
  whitelist: gbif.registry-ws-client-it,gbif.app.it

# d7dddbf4-2cf0-4f39-9b2a-bb099caae36c is the GBIF Backbone Taxonomy
# comma separated list of UUID
doi:
  url: https://doi.org/
  prefix: 10.21373
  datasetParentExcludeList: d7dddbf4-2cf0-4f39-9b2a-bb099caae36c

# OAI-PMH repositories expose their base URL as the value of the baseURL element in the Identify response
# this value will be used as the baseURL element in the Identify response
oaipmh:
  baseUrl: http://api.gbif-dev.org/v1/oai-pmh/registry
  adminEmail: gbifregistry@mailinator.com

dbmigration:
  liquibase:
    default-schema: public
    change-log: classpath:liquibase/master.xml
    enabled: true
  datasource:
    url: @registry-it.db.url@
    username: @registry-it.db.username@
    password: @registry-it.db.password@
    hikari:
      idleTimeout: 60000
      maximumPoolSize: 1
      minimumIdle: 1

spring:
  #RabbitMQ
  rabbitmq:
    enabled: false
  # Liquibase
  liquibase:
    default-schema: public
    change-log: classpath:liquibase/master.xml
    enabled: false
  #flyway
  flyway:
    enabled: false
